(function ($) {
    "use strict";

    /*
    * Call unread messages for chat
    */
    function updateUnreadMessages() {
        const unread_wrap = $('.rtcl-chat-unread-count');
        if (unread_wrap.length !== 0) {
            $.ajax({
                url: rtcl.ajaxurl,
                method: 'GET',
                data: {
                    action: 'rtcl_chat_ajax_get_unread_message_num'
                },
                success: function (response) {
                    unread_wrap.find('.rtcl-unread-badge').remove();
                    const count = parseInt(response, 10) || 0;
                    if (count) {
                        const badge = $('<span class="rtcl-unread-badge"></span>');
                        badge.text(count);
                        unread_wrap.append(badge);
                    }
                },
                complete: function () {
                    setTimeout(updateUnreadMessages, 5000);
                }
            });
        }
    }

    function update_user_online_status() {
        const $status_wrap = $('.rtcl-user-status');
        $.ajax({
            url: rtcl.ajaxurl,
            method: 'POST',
            data: {
                listing_id: rtcl.post_id,
                action: 'rtcl_update_user_online_status'
            },
            success: function (response) {
                if (rtcl.post_id) {
                    if (response.success) {
                        $status_wrap.removeClass('offline').addClass('online');
                        $status_wrap.find('span').text(rtcl.online_status_online_text);
                    } else {
                        $status_wrap.removeClass('online').addClass('offline');
                        $status_wrap.find('span').text(rtcl.online_status_offline_text);
                    }
                }
            },
        });
    }

    $(function () {
        updateUnreadMessages();
        if (rtcl.online_status_seconds) {
            update_user_online_status();
            setInterval(function () {
                update_user_online_status();
            }, parseInt(rtcl.online_status_seconds, 10) * 1000);
        }
    });


})(jQuery);